# gfs_pio_flush

## Name

gfs_pio_flush -- flush a stream

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfs_pio_flush``(GFS_File `gf`);`

## DESCRIPTION

The function `gfs_pio_flush()` forces a write of all user-space buffered data for the given output `gf`.

## RETURN VALUES

`NULL`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

Others

  An error except the above occurred. The reason is shown by its pointed strings.

## SEE ALSO

gfs_pio_create(3), gfs_pio_open(3), gfs_pio_write(3)